Premium URL Shortener

Welcome

Thanks for purchasing Premium URL Shortener. This installation wizard will accompany you in installing the product without hassle. You need to make sure that you meet the following requirements and you created a database.

PHP Version
Recommended PHP 8.2 You have 8.2.15

It is very important to have at least PHP Version 7.4. It is highly recommended that you use 8.0 or newer for best performance.

Filesystem

  • config_sample.php must be accessible Writable

    This installation will open that file to put values in so it must be accessible. Make sure that file is there in the root folder and is writable.

  • storage/ folder and its subfolder must be writable. Writable

    Many things will be uploaded to that folder so please make sure it has the proper permission.

  • public/content/ folder must be writable and its subfolder must be writable. Writable

    Many things will be uploaded to that folder so please make sure it has the proper permission.

Modules & Extensions

  • PDO and MYSQL DriverEnabled

    PDO driver is very important so it must enabled. Without this, the script will not connect to the database hence it will not work at all. If this verify fails, you will need to contact your web host and ask them to either enable it or configure it properly.

  • cURL Enabled

    cURL is used to interact with external servers and APIs.

  • Mbstring Enabled

    Mbstring is required for correct encoding.

  • GD Library Enabled

    GD library is needed to generate QRs.

  • ImageMagick Enabled

    ImageMagick library is not required and you can proceed with the installation. This extension is needed for server-side QR code processing. You can still generate QR codes without this extension but QR codes will be converted to other formats using the browser instead of the server. If you are installing it, please make sure to install Imagick version 7.1 and the RSVG delegate as these are required. You can find more info on our guide.

Proceed